Bug 198907 - kernel-devel i586 is installed for i686 kernel and vice versa
kernel-devel i586 is installed for i686 kernel and vice versa
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
5
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-14 11:32 EDT by Adam Pribyl
Modified: 2014-01-21 17:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-31 06:18:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Pribyl 2006-07-14 11:32:48 EDT
Description of problem:
Having i586 system I tried to install kernel-devel headers with 
yum install kernel-devel
yum chooses for some reason to install i686 even thought the kernel arch is i586.
rpm -q --queryformat '%{ARCH} %{NAME}\n' kernel-devel kernel
i686 kernel-devel
i586 kernel
i586 kernel


On different i686 system using same yum command resulted in kernel-devel for
i586 to be installed.

I did not found a reason for this behaivour.

Version-Release number of selected component (if applicable):
 kernel-2.6.17-1.2145_FC5.i586.rpm
 kernel-devel-2.6.1~.2145_FC5.i686.rpm
 yum-2.6.1-0.fc5.noarch.rpm

How reproducible:
Always

Steps to Reproduce:
1. on i586 system: rpm -e kernel-devel
2. yum install kernel-devel

  
Actual results:
yum chooses to install i686 kernel-devel rpm which does not fit the kernel
architecture.

Expected results:
yum installs i586 kernel-devel rpm

Additional info:
This may be a problem of yum not of the kernel-devel package.
Comment 1 Jeremy Katz 2006-07-26 10:32:00 EDT
What is in /etc/rpm/platform?
Comment 2 Adam Pribyl 2006-07-31 06:18:16 EDT
Those were set incorretly. Probably by copiing install from different platform.

Note You need to log in before you can comment on or make changes to this bug.